SimpleSecurityProvider (Axis API)
Keywords: org.apache.axis.security.simple.SimpleSecurityProvider,SimpleSecurityProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.security.simple
Class SimpleSecurityProvider

    java.lang.Object
      |
      +--org.apache.axis.security.simple.SimpleSecurityProvider

All Implemented Interfaces:
  SecurityProvider

public class SimpleSecurityProvider
extends java.lang.Object
implements SecurityProvider

SimpleSecurityProvider

Author:
  Glen Daniels (gdaniels@macromedia.com)

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`SimpleSecurityProvider()`

Method Summary
`AuthenticatedUser` | `authenticate(MessageContext msgContext)` Authenticate a user from a username/password pair.
`boolean` | `userMatches(AuthenticatedUser user, java.lang.String principal)` See if a user matches a principal name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### SimpleSecurityProvider

    public SimpleSecurityProvider()

Method Detail

### authenticate

    public AuthenticatedUser authenticate(MessageContext msgContext)

  Authenticate a user from a username/password pair.

  Specified by:
    `authenticate` in interface `SecurityProvider`
  Parameters:
    `msgContext` - the MessageContext containing authentication info
  Returns:
    an AuthenticatedUser or null

### userMatches

    public boolean userMatches(AuthenticatedUser user,
                               java.lang.String principal)

  See if a user matches a principal name. The name might be a user or a group.

  Specified by:
    `userMatches` in interface `SecurityProvider`
  Returns:
    true if the user matches the passed name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.